Bug 251698 - devel/vulkan-*: update to 1.2.162
Summary: devel/vulkan-*: update to 1.2.162
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords: patch
Depends on: 251345
Blocks:
  Show dependency treegraph
 
Reported: 2020-12-09 07:56 UTC by Jan Beich
Modified: 2020-12-23 20:12 UTC (History)
2 users (show)

See Also:
greg: maintainer-feedback+
greg: maintainer-feedback+


Attachments
v1 (16.03 KB, patch)
2020-12-09 07:56 UTC, Jan Beich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2020-12-09 07:56:59 UTC
Created attachment 220386 [details]
v1

vulkan-headers is a few versions behind upstream to stay in sync with vulkan-{loader,tools,validation-layers}.
Skipping devel/glslang update unless someone can help unbreaking graphics/shaderc.

vkcube, yuzu, mpv --gpu-api=vulkan still work fine on Intel Skylake GT2 (0x1912).
Comment 1 Greg V 2020-12-09 09:05:05 UTC
Since you're quite actively updating Vulkan, maybe you should take maintainership :)
Comment 2 commit-hook freebsd_committer 2020-12-10 00:39:53 UTC
A commit references this bug:

Author: jbeich
Date: Thu Dec 10 00:39:47 UTC 2020
New revision: 557395
URL: https://svnweb.freebsd.org/changeset/ports/557395

Log:
  devel/vulkan-*: update to 1.2.162

  Changes:	https://github.com/KhronosGroup/Vulkan-Headers/compare/sdk-1.2.154.0...v1.2.162
  Changes:	https://github.com/KhronosGroup/Vulkan-Loader/compare/sdk-1.2.154.1...v1.2.162
  Changes:	https://github.com/KhronosGroup/Vulkan-Tools/compare/sdk-1.2.154.0...v1.2.162
  Changes:	https://github.com/KhronosGroup/Vulkan-ValidationLayers/compare/sdk-1.2.154.0...v1.2.162
  Changes:	https://github.com/KhronosGroup/SPIRV-Tools/compare/v2020.4...v2020.6
  PR:		251698
  Approved by:	Greg V <greg@unrelenting.technology> (maintainer)

Changes:
  head/devel/spirv-tools/Makefile
  head/devel/spirv-tools/distinfo
  head/devel/vulkan-headers/Makefile
  head/devel/vulkan-headers/distinfo
  head/devel/vulkan-headers/files/patch-include_vulkan_vulkan.hpp
  head/devel/vulkan-tools/Makefile
  head/devel/vulkan-tools/distinfo
  head/devel/vulkan-validation-layers/Makefile
  head/devel/vulkan-validation-layers/distinfo
  head/devel/vulkan-validation-layers/pkg-plist
  head/graphics/vulkan-loader/Makefile
  head/graphics/vulkan-loader/distinfo
  head/graphics/vulkan-loader/files/patch-loader_loader.c
  head/graphics/vulkan-loader/files/patch-loader_vk__loader__platform.h
  head/graphics/vulkan-loader/pkg-plist
Comment 3 commit-hook freebsd_committer 2020-12-23 20:12:09 UTC
A commit references this bug:

Author: jbeich
Date: Wed Dec 23 20:11:50 UTC 2020
New revision: 559019
URL: https://svnweb.freebsd.org/changeset/ports/559019

Log:
  devel/vulkan-*: take maintainership

  PR:		251698
  Suggested by:	Greg V (previous maintainer)

Changes:
  head/devel/glslang/Makefile
  head/devel/spirv-tools/Makefile
  head/devel/vulkan-headers/Makefile
  head/devel/vulkan-tools/Makefile
  head/devel/vulkan-validation-layers/Makefile
  head/graphics/shaderc/Makefile
  head/graphics/vulkan-loader/Makefile